Mailinglist Archive: opensuse-bugs (4292 mails)

< Previous Next >
[Bug 1037126] binutils: enable as-needed by default
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 03 May 2017 08:27:30 +0000
  • Message-id: <bug-1037126-21960-AHbI4es3Ll@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1037126
http://bugzilla.opensuse.org/show_bug.cgi?id=1037126#c3

--- Comment #3 from Jan Engelhardt <jengelh@xxxxxxx> ---
Well, we already deviate in half of Geeko land. The first maxime is therefore
to make it behave equal again across SUSE products.
Secondarily is to have a look at what other distros do, and evaluate whether to
go with the not-upstream-default behavior. Besides Debian, it would appear that
Gentoo also has as-needed enabled. as-needed is one of many strategies to drop
unnecessary dependencies and to also find programming errors due to effects of
link order sensitiviy (missing libs, etc.). I anecdotally remember solaris ld
being link-order-sensitive (but not as-needy) too, so that's that.

In other words, it just helps me and others make somewhat better software.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
References